UCS 4.2-2 upgrade fails

ucs-4-2
app-appliance

#1

I’ve installed UCS using the preinstalled virtual machine image for VMware
On software update i see: “The currently installed release version is 4.2-1 errata159.” and a notification about an upgrade available (4.2.2)
Trying to install it i’ve this msg:

12.10.17 09:51:24.255  DEBUG_INIT
**** Starting univention-updater with parameter=['/usr/share/univention-updater/univention-updater', 'net', '--updateto', '4.2-2', '--ignoressh', '--ignoreterm']
Version=4.2
Patchlevel=1
starting net mode
--->DBG:update_available(mode=net, cdrom_mount_point=/media/cdrom, iso=None)
Checking network repository
Update to = 4.2-2
**** Downloading scripts at Thu Oct 12 09:51:26 2017
**** Starting actual update at Thu Oct 12 09:51:29 2017
Running preup.sh script
gio 12 ott 2017, 09.51.29, CEST

Do you want to continue [Y/n]?
Custom preupdate script /var/lib/local-preup.sh not found
WARNING: skipped disk-usage-test as requested
Checking for package status: OK
Checking LDAP schema: 59df1f01 OVER: Loading Translog Overlay
59df1f01 Loading shadowbind Overlay.OVER: db_init
59df1f01 OVER: Configuring Translog Overlay
59df1f01 OVER: Configured Translog Overlay to use file "/var/lib/univention-ldap/listener/listener"
59df1f01 shadowbind_db_init
59df1f01 shadowbind_db_config
59df1f01 shadowbind_db_open
59df1f01 OVER: db_close
59df1f01 shadowbind_db_destroy
59df1f01 OVER: db_destroy
OK
ERROR: The UCS 4.2 update is not yet available for UCS app appliances.
       Please try to update your system to UCS 4.2 at a later point.
Error: Update aborted by pre-update script of release 4.2-2

Is it normal ? I cannot upgrade it ?
Thanks for help


#2

Hi blondie63

see this post about app appliance updates

rg
christian